<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('chef_plan', function (Blueprint $table) {
            $table->id();
            $table->char('date',10)->comment("日期");
            $table->tinyInteger('diet_type')->comment("0:中餐 1:晚餐");
            $table->integer('user_id')->comment("用户id");
            $table->tinyInteger('type')->comment('类型 1:主厨 2:副厨 3:帮厨')->default(3);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('chef_plan');
    }
};
